Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 677572 - dev-python/mkdocs-1.0.1 - pkg_resources.ContextualVersionConflict: (tornado 4.5.3 (/usr/lib64/python3.6/site-packages), Requirement.parse('tornado>=5.0'), {'mkdocs'})
Summary: dev-python/mkdocs-1.0.1 - pkg_resources.ContextualVersionConflict: (tornado 4...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-09 18:36 UTC by Geaaru
Modified: 2019-02-10 11:54 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Geaaru 2019-02-09 18:36:01 UTC
Hi,

mkdocs-1.0.1 require minimal tornato-5.0 as reported hereinafter:


Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 573, in _build_master
    ws.require(__requires__)
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 891, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 782, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (tornado 4.5.3 (/usr/lib64/python3.6/site-packages), Requirement.parse('tornado>=5.0'), {'mkdocs'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python-exec/python3.6/mkdocs", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 3098, in <module>
    @_call_aside
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 3082, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 3111, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 575, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 588, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 777, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'tornado>=5.0' distribution was not found and is required by mkdocs


--- a/mkdocs-1.0.1.ebuild	2018-09-15 22:09:27.000000000 +0200
+++ b/mkdocs-1.0.1.ebuild	2019-02-09 19:35:00.027946092 +0100
@@ -32,7 +32,7 @@
 	>=dev-python/mkdocs-bootstrap-0.1.1[${PYTHON_USEDEP}]
 	>=dev-python/mkdocs-bootswatch-0.1.0[${PYTHON_USEDEP}]
 	>=dev-python/pyyaml-3.10[${PYTHON_USEDEP}]
-	>=www-servers/tornado-4.1[${PYTHON_USEDEP}]
+	>=www-servers/tornado-5.0[${PYTHON_USEDEP}]
 "
 
 src_prepare() {